VLCKit

Properties | List of all members
VLCVideoLayer Class Reference

`#import <VLCVideoLayer.h>`

Inheritance diagram for VLCVideoLayer:

## Properties
BOOL | hasVideo
BOOL | fillScreen

## Detailed Description

a custom layer for rendering video in a CoreAnimation environment

## Property Documentation

## ◆ fillScreen

- (BOOL) fillScreen
| read write nonatomic assign

Should the video fill the screen by adding letterboxing or stretching?

Returns
  the BOOL value

## ◆ hasVideo

- (BOOL) hasVideo
| read nonatomic assign

Is a video being rendered in this layer?

Returns
  the BOOL value

The documentation for this class was generated from the following file:

- Headers/Public/VLCVideoLayer.h